## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

### Create a Package

**POST**

`/v2.0/packages`

```bash
curl --request POST \
  --url https://api-trial.cognigy.ai/new/v2.0/packages \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '\
{\
  "name": "New Package",\
  "description": "Version 1",\
  "resourceIds": [\
    "<string>"\
  ],\
  "projectId": "<string>"\
}\
'
```

```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/packages"

payload = {
    "name": "New Package",
    "description": "Version 1",
    "resourceIds": ["<string>"],
    "projectId": "<string>"
}
headers = {
    "X-API-Key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

```javascript
const options = {
  method: 'POST',
  headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    name: 'New Package',
    description: 'Version 1',
    resourceIds: ['<string>'],
    projectId: '<string>'
  })
};

fetch('https://api-trial.cognigy.ai/new/v2.0/packages', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```php
<?php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/packages",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([
    'name' => 'New Package',
    'description' => 'Version 1',
    'resourceIds' => [
        '<string>'
    ],
    'projectId' => '<string>'
  ]),
  CURLOPT_HTTPHEADER => [
    "Content-Type: application/json",
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
?>
```

### Responses

**Successful Response (202)**
```json
{
  "_id": "<string>",
  "status": "queued",
  "type": "trainIntents",
  "parameters": {},
  "lastChangedAt": 1594243850,
  "lastCreatedAt": 1594243850,
  "currentStep": 0,
  "totalStep": 100
}
```

**Common Error Responses**

- **Bad Request (400)**
```json
{
  "type": "Bad Request",
  "title": "Bad Request Error",
  "status": 400,
  "detail": "Validation failed. Missing payload.",
  "instance": "...",
  "code": 1000,
  "traceId": "...",
  "details": {}
}
```

- **Unauthorized (401)**
```json
{
  "type": "Unauthorized",
  "title": "Unauthorized Error",
  "status": 401,
  "detail": "<string>",
  "instance": "...",
  "code": 401,
  "traceId": "...",
  "details": {}
}
```

- **Payment Required (402)**
```json
{
  "type": "Payment Required",
  "title": "Payment Required Error",
  "status": 402,
  "detail": "Validation failed. Missing payload.",
  "instance": "...",
  "code": 402,
  "traceId": "...",
  "details": {}
}
```

- **Forbidden (403)**
```json
{
  "type": "Forbidden",
  "title": "Forbidden Error",
  "status": 403,
  "detail": "<string>",
  "instance": "...",
  "code": 1000,
  "traceId": "...",
  "details": {}
}
```

- **Not Found (404)**
```json
{
  "type": "Not Found",
  "title": "Not Found Error",
  "status": 404,
  "detail": "<string>",
  "instance": "...",
  "code": 1000,
  "traceId": "...",
  "details": {},
  "logLevel": "error"
}
```

### Authorizations

**X-API-Key**
- **Type**: string
- **Location**: header
- **Required**: Yes

Supply the API Key in the HTTP-Header.

### Headers

#### Accept
- **Type**: enum<string>
- **Description**: The `Accept` header specifies the media type that the client expects in the response. 
- **Available options**: `application/json`, `application/hal+json`, `application/xml`, `text/xml`, `text/csv`

### Body Parameters
- **name**: string (The name of the Package, e.g., "New Package")
- **description**: string (The description of the Package, e.g., "Version 1")
- **resourceIds**: string[] (Required string length: `24`, Pattern: `^[a-z0-9]{24}$`)
- **projectId**: string (The unique identifier for the Project. Required string length: `24`, Pattern: `^[a-z0-9]{24}$`)

### Response Format
- **202** successful creation of a package.
- JSON response for various errors.
